//coded by Feifei Li, contact: lifeifei@cs.bu.edu


#include "tuple.h"
#include <stdio.h>
#include <stdlib.h>
#include <iostream>

ostream & operator<<( ostream &os, Tuple &tp ) 
{ 
        os << tp.value << " " << tp.confidence; 
        return ( os ); 
}

Tuple::Tuple()
{
   this->value=0.0;
   this->confidence=0.0;     
}

Tuple::Tuple(double value, double confidence)
{
   this->value=value;
   this->confidence=confidence;        
}

Tuple::Tuple(const Tuple& tp)
{
   this->value=tp.value;
   this->confidence=tp.confidence;        
}

Tuple::~Tuple()
{}

void Tuple::copy(Tuple& tp)
{

   this->value=tp.value;
   this->confidence=tp.confidence;        
}
