//coded by Feifei Li, contact: lifeifei@cs.fsu.edu

#include <stdio.h>
#include <stdlib.h>
#include <iostream>
#include <fstream>
#include <string>
#include "xtuple.h"
#include <vector>
#include <ext/hash_map>
#include <ext/hash_fun.h>

using namespace::std;


class Udb {
	public:
    Udb(unsigned int N, char* input_file);
    ~Udb(); 
    bool readRecords(unsigned int m);
    bool readNext();
    void printDB();
    void printXTuples(vector<unsigned int> rankpos);
    double chebyshev(unsigned int i, unsigned int n, unsigned int lookahead);
    void getPv();

	public:
	unsigned int N;
	std::ifstream fin;
	vector<XTuple> xtps;
	vector<Tuple> tps;
	__gnu_cxx::hash_map<unsigned long, double> Pv;
	__gnu_cxx::hash_map<unsigned long, unsigned int> hist;
};
