//coded by Feifei Li, contact: lifeifei@cs.fsu.edu

#include "udb.h"

int main(int argc, char **argv)
{
	if (argc!=4)
	{
		cout<<"Usage: "<<argv[0]<<" input_file "<<" m(0 to read all) "<<" showDB(0,1)"<<endl;
		return -1;
	}
    
	unsigned int m=atoi(argv[2]);
	int showDB=atoi(argv[3]);

	Udb db(0, argv[1]);
	db.readRecords(m);
	db.getPv();	
     
	if (showDB==1)
	{
	   db.printDB();
	   cout<<endl<<"UDB with N = "<<db.N<<" number of xtuples "<<endl;
    	}

    return 1;	
}
