
#include <iostream>
#include <math.h>
#include <vector>
#include "tuple.h"


using namespace::std;
class XTuple {
 public:
  XTuple();
  XTuple(unsigned int id, int xdegree, double expvalue, double var, double prank);
  XTuple(unsigned int id, int xdegree, double expvalue, double var, double prank, double prankL, double prankH);
  XTuple(const XTuple& xtp);
  ~XTuple(); 
  unsigned int size();  
  double rank(XTuple tpj);
  double markov(double Xn);
  friend ostream & operator<<( ostream &os, XTuple &xtp);
 
 
 public:
  vector<Tuple> tuples;
  int xdegree;
  unsigned int id;
  double expvalue;
  double var;
  double prank;
  double markv;
  double chev;
  double prankL;
  double prankH;
  bool chevFirst;
};


