function [udb]=gen_xtuple(T, N, xdegree, sc, confidence);
k=1;
udb=zeros(N, 2*xdegree+4);
while (k<=N)
    expected=0.0;
    degree=0;
    sumprob=0;
    selected=zeros(xdegree,1);
    for i=1:xdegree
        s=ceil(rand*T);
        selected(i)=s;
        sumprob=sumprob+confidence(s);
        sc(s)=sc(T);
        %sc(s)=[];
        T=T-1;
    end
    for i=1:xdegree
        s=selected(i);
        expected=expected+sc(s)*confidence(s)/sumprob;
        c=find(udb(k, :)==sc(s));
    	if (isempty(c)==1)
	        udb(k,4+2*degree+1)=sc(s);
        	udb(k,4+2*degree+2)=confidence(s)/sumprob;
            degree=degree+1;
        else
    		udb(k, c(1)+1)=udb(k,c(1)+1)+confidence(s)/sumprob;
        end
    end
    variance=0.0;
    for i=1:degree
        variance=variance+udb(k,4+2*i)*(udb(k,4+2*i-1)-expected)^2.0;
    end
    if variance < 1.0e-10
    	variance=0.0;
    end	
    udb(k,2)=degree;
    udb(k,3)=expected;
    udb(k,4)=variance;
    k=k+1;
    %tt=mod(k, 1000);
    %if tt==0
    %   ['done with ' int2str(k)]
    %end
end
udb=sortrows(udb, -3);
udb(:,1)=1:N;
