%coded by Feifei Li, contact: lifeifei@cs.bu.edu

function [udb] = cor_normal_xtuple(N, scorescale, cor, numxtuple, xdegree)

avg=0.5;
sigma=0.7;

score = avg+sigma.*randn(10*N,1);
confidence = avg+sigma.*randn(10*N,1);
confidence = score*cor+confidence*sqrt(1-cor*cor);
X=[score, confidence];

X=X( X(:,2)>0.0 & X(:,2)<=1, :);
tmpsize=size(X);
if (tmpsize(1,1)<N)
    printf('ERROR!!! Increase c value in c*N!!!');
    return;
end
X=X(1:N,:);
X(:,1)=ceil(X(:,1).*scorescale);
minscore=min(X(:,1));
X(:,1)=X(:,1)+abs(minscore)+1;
id = [1:N];
id = id';

X=sortrows(X, [-1 -2]);
udb=[id, X(:,1), X(:,2)];

xtuplefile=sprintf('xid_%d_cor%1.2f_%d_%d',N,cor,numxtuple,xdegree);
udb=gen_xtuple(udb, N, numxtuple, xdegree, xtuplefile);


output=sprintf('xtuple_%d_cor%1.2f_%d_%d',N,cor,numxtuple,xdegree);
fid = fopen(output, 'wt');
fprintf(fid, '%u %e %1.4f\n', udb');
fclose(fid);
