%coded by Feifei Li, contact: lifeifei@cs.bu.edu

function [udb] = uu( N, m, numxtuple, xdegree)

score = rand(N, 1);
score(:, 1)=ceil(score(:,1)*m);
confidence = rand(N, 1);

X=[score, confidence];

id = [1:N];
id = id';
X=sortrows(X, [-1 -2]);
udb=[id, X(:,1), X(:,2)];

xtuplefile=sprintf('xid_%d_m%d_%d_%d',N,m,numxtuple,xdegree);
udb=gen_xtuple(udb, N, numxtuple, xdegree, xtuplefile);

output=sprintf('xtuple_%d_m%d_%d_%d',N,m,numxtuple,xdegree);
fid = fopen(output, 'wt');
fprintf(fid, '%u %e %1.4f\n', udb');
fclose(fid);
