//coded by Feifei Li,  contact: lifeifei@cs.bu.edu


#include "tuple.h"
#include <stdio.h>
#include <stdlib.h>
#include <iostream>

ostream & operator<<( ostream &os, Tuple &tp ) 
{ 
  os << tp.sortid<<" " << tp.xid << " "<< tp.prank<<" "<<tp.score << " " << tp.confidence; 
  //os<<tp.sortid;
        return ( os ); 
}

Tuple::Tuple()
{
   this->score=0;
   this->confidence=0.0;     
   this->xid=0;   
   this->sortid=0;   
   this->prank=0.0;   
}

Tuple::Tuple(unsigned int sortid, unsigned int xid, double score, double confidence)
{
   this->sortid=sortid;
   this->score=score;
   this->confidence=confidence;        
   this->xid=xid;   
   this->prank=0.0;        
}

Tuple::Tuple(const Tuple& tp)
{
   this->sortid=tp.sortid;
   this->score=tp.score;
   this->confidence=tp.confidence;        
   this->xid=tp.xid;   
   this->prank=tp.prank; 
}

Tuple::~Tuple()
{}

void Tuple::show()
{
     std::cout<<this->xid <<  " "<<this->score<<" "<<this->confidence<<std::endl;     
}

void Tuple::copy(Tuple& tp)
{
   this->sortid=tp.sortid;
   this->score=tp.score;
   this->confidence=tp.confidence;        
   this->xid=tp.xid;   
   this->prank=tp.prank;
}
