//coded by Feifei Li, contact: lifeifei@cs.fsu.edu

#include "udb.h"

int main(int argc, char **argv)
{
	if (argc!=7)
	{
		cout<<"Usage: "<<argv[0]<<" input_file "<<" m(0 to read all) "<<" xtuple_file "<<" xdegree "<< " numxtuple "<<" showDB(0,1) "<<endl;
		return -1;
	}
    
	unsigned int m=atoi(argv[2]);
	int xdegree = atoi(argv[4]);
	unsigned int numxtuple = atoi(argv[5]);
	int showDB=atoi(argv[6]);

	Udb db(m, argv[1]);
	db.readRecords();
	
	db.buildXtuples(argv[3], xdegree, numxtuple);
        db.getRankDist();
     
	if (showDB==1)
	{
	   db.printDB();
	   cout<<endl<<"UDB with N = "<<db.N<<" number of tuples "<<endl;
	   cout<<endl;
	   db.printXtuple();
           db.printRankDist();
    	}
    return 1;	
}
