//coded by Feifei Li, contact: lifeifei@cs.bu.edu

#include <iostream>
#include <math.h>

#define ZERO 0.00001

using namespace::std;
class Tuple {
	public:
    Tuple();
    Tuple(double value, double conf);
    Tuple(const Tuple& tp);
    ~Tuple(); 
    void copy(Tuple& tp);
    friend ostream & operator<<( ostream &os, Tuple &tp);
    static unsigned long size()
    {
        return 8; //confidence 4 bytes, value 4 bytes         
    }
 
	public:
	double value;
	double confidence;
};
