%coded by Feifei Li, contact: lifeifei@cs.fsu.edu

function [udb] = correlated(N, xdegree, scorescale, cor)
T=N*xdegree;

avg=0.5;
sigma=0.7;

score = avg+sigma.*randn(10*T,1);
confidence = avg+sigma.*randn(10*T,1);
confidence = score*cor+confidence*sqrt(1-cor*cor);
X=[score, confidence];
X=X( X(:,2)>0.0 & X(:,2)<=1, :);
tmpsize=size(X);
if (tmpsize(1,1)<T)
    printf('ERROR!!! Increase c value in c*N!!!');
    return;
end
X=X(1:T,:);
X(:,1)=ceil(X(:,1).*scorescale);
minscore=min(X(:,1));
X(:,1)=X(:,1)+abs(minscore)+1;

sc = X(:,1);
confidence=X(:,2);
udb=gen_xtuple(T, N, xdegree, sc, confidence);
output=sprintf('zipfu_N%d_m%d_x%d_cor%1.2f',N,scorescale,xdegree,cor);
fid = fopen(output, 'wt');
%save(output, 'udb','-ASCII');
for i=1:N
	fprintf(fid, '%u %u %e %e', udb(i,1), udb(i,2),udb(i,3),udb(i,4));
  	for j=1:udb(i,2)
		fprintf(fid, ' %e %e',udb(i,4+2*j-1), udb(i,4+2*j));
	end	
	fprintf(fid, '\n');
end
fclose(fid);
