%coded by Feifei Li, contact: lifeifei@cs.fsu.edu

function [udb] = uzipf(N, m, xdegree, a)
T=N*xdegree;
sc = rand(T,1);
sc(:, 1)=ceil(sc(:,1)*m);
confidence = randraw('zipf', a, T);
A=unique(confidence);
h=hist(confidence, A);
h=h';
for i=1:T
    c=find(A(:)==confidence(i));
    confidence(i)=h(c)/T;
end
udb=gen_xtuple(T, N, xdegree, sc,confidence);
output=sprintf('uzipf_N%d_m%d_x%d_a%1.2f',N,m,xdegree,a);
fid = fopen(output, 'wt');
for i=1:N
	fprintf(fid, '%u %u %e %e', udb(i,1), udb(i,2),udb(i,3),udb(i,4));
  	for j=1:udb(i,2)
		fprintf(fid, ' %e %e',udb(i,4+2*j-1), udb(i,4+2*j));
	end	
	fprintf(fid, '\n');
end
fclose(fid);
%save(output, 'udb','-ASCII');
%fprintf(fid, udb);
%fprintf(fid, '%8.0f', id);
%fprintf(fid, '%8.0f %1.4f', sc(s), prob(i,1));
%fprintf(fid,'\n');
%fclose(fid);
%fwrite(fid,udb,'-ASCII');
