%coded by Feifei Li, contact: lifeifei@cs.fsu.edu

function [udb] = zipfu(N, xdegree, a)
T=N*xdegree;
sc = randraw('zipf', a, T);
confidence = rand(T,1);
%sc(:, 1)=ceil(sc(:,1)*m);
udb=gen_xtuple(T, N, xdegree, sc, confidence);
output=sprintf('zipfu_N%d_x%d_a%1.2f',N,xdegree,a);
fid = fopen(output, 'wt');

%save(output, 'udb','-ASCII');
for i=1:N
	fprintf(fid, '%u %u %e %e', udb(i,1), udb(i,2),udb(i,3),udb(i,4));
  	for j=1:udb(i,2)
		fprintf(fid, ' %e %e',udb(i,4+2*j-1), udb(i,4+2*j));
	end	
	fprintf(fid, '\n');
end
fclose(fid);
